/* $Id: kgi_chipset.inc,v 1.7 1998/11/24 18:28:09 marcus Exp $
******************************************************************************

   KGI chipset driver - kgi-specific initialization and registration

   Copyright (C) 1997 Jason McMullan	[jmcc@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/
 
int kgim_chipset_init(struct kgi_card *card,struct kgi_display *dpy)
{
	int err;

	if ((err=chipset_init(dpy))!=EOK) return err;
 
	strcpy(card->manufact,chipinfo->manufact);
	strcpy(card->model,chipinfo->model);
	card->modes=chipinfo->modes;
	card->flags=chipinfo->flags;
	card->maxdots=chipinfo->maxdots;

	card->chipset=chipinfo;
	card->preset=default_kgi_mode;

	return EOK;
}

void kgim_chipset_done(struct kgi_display *dpy)
{
	chipset_done();
}

int kgim_chipset_check_mode (struct kgi_display *dpy,
			     struct kgi_mode *mode,enum kgi_tm_cmd *cmd)
{
	return chipset_check_mode(dpy,mode,*cmd);
}

void kgim_chipset_set_mode(struct kgi_display *dpy, struct kgi_mode *mode)
{
	chipset_set_mode(dpy,mode);
}

int kgim_chipset_ioctl(struct inode *inode,struct file *file,
                       kgi_uint cmd,kgiu32 arg)
{
	return -E(CHIPSET,BOGUS);
}

int kgim_graphics_ioctl(struct inode *inode,struct file *file,
                        kgi_uint cmd,kgiu32 arg)
{
	return -E(GRAPHICS,BOGUS);
}

